Icc-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.ICh0ArbitraryVector Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.ICh0ArbitraryVector:

## Public Member Functions
float[] | GetVectorValues ()
| Returns list of vector values
void | SetVectorValues (float[] values, int startIndex=0)
| Sets list of vector values
EICC4cPwmUnitType | GetUnitType ()
| Returns vector unit type.
void | SetUnitType (EICC4cPwmUnitType unit)
| Sets vector unit type.
bool | IsRunning ()
| Returns status of signal generator (running, stopped).
void | SwitchArbitraryVector (bool running)
| Sets status of signal generator (running, stopped).
float | GetSampleRate ()
| Returns sample rate in Hz.
void | SetSampleRate (float value)
| Sets sample rate in Hz.
float | GetMinimumSamplingRate ()
| Returns minimum sampling rate in Hz.
float | GetMaximumSamplingRate ()
| Returns maximum sampling rate in Hz.
int | GetCycles ()
| Returns Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.
void | SetCycles (int cycles)
| Sets Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.
EExternalTriggerType | GetExternalTrigger ()
| Returns flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.
void | SetExternalTrigger (EExternalTriggerType triggerType)
| Sets flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

## Member Function Documentation

## ◆ GetCycles()

int ICC4cPwmSdk.Device.ICh0ArbitraryVector.GetCycles | ( |  | ) |

Returns Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.

Returns

## ◆ GetExternalTrigger()

EExternalTriggerType ICC4cPwmSdk.Device.ICh0ArbitraryVector.GetExternalTrigger | ( |  | ) |

Returns flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

Returns

## ◆ GetMaximumSamplingRate()

float ICC4cPwmSdk.Device.ICh0ArbitraryVector.GetMaximumSamplingRate | ( |  | ) |

Returns maximum sampling rate in Hz.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ GetMinimumSamplingRate()

float ICC4cPwmSdk.Device.ICh0ArbitraryVector.GetMinimumSamplingRate | ( |  | ) |

Returns minimum sampling rate in Hz.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ GetSampleRate()

float ICC4cPwmSdk.Device.ICh0ArbitraryVector.GetSampleRate | ( |  | ) |

Returns sample rate in Hz.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ GetUnitType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.ICh0ArbitraryVector.GetUnitType | ( |  | ) |

Returns vector unit type.

Returns

## ◆ GetVectorValues()

float[] ICC4cPwmSdk.Device.ICh0ArbitraryVector.GetVectorValues | ( |  | ) |

Returns list of vector values

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ IsRunning()

bool ICC4cPwmSdk.Device.ICh0ArbitraryVector.IsRunning | ( |  | ) |

Returns status of signal generator (running, stopped).

Returns

## ◆ SetCycles()

void ICC4cPwmSdk.Device.ICh0ArbitraryVector.SetCycles | ( | int | cycles | ) |

Sets Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.

Returns

## ◆ SetExternalTrigger()

void ICC4cPwmSdk.Device.ICh0ArbitraryVector.SetExternalTrigger | ( | EExternalTriggerType | triggerType | ) |

Sets flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

Returns

## ◆ SetSampleRate()

void ICC4cPwmSdk.Device.ICh0ArbitraryVector.SetSampleRate | ( | float | value | ) |

Sets sample rate in Hz.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ SetUnitType()

void ICC4cPwmSdk.Device.ICh0ArbitraryVector.SetUnitType | ( | EICC4cPwmUnitType | unit | ) |

Sets vector unit type.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ SetVectorValues()

void ICC4cPwmSdk.Device.ICh0ArbitraryVector.SetVectorValues | ( | float[] | values,
|  | int | startIndex = 0 )

Sets list of vector values

Parameters

  channel | channel
  values | List of vector values
  startIndex |

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

## ◆ SwitchArbitraryVector()

void ICC4cPwmSdk.Device.ICh0ArbitraryVector.SwitchArbitraryVector | ( | bool | running | ) |

Sets status of signal generator (running, stopped).

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.Icc1cSdkDeviceController.

The documentation for this interface was generated from the following file:

- Doxygen/ICh0SdkDeviceController.cs